require('fs')
    .readFileSync(process.argv[2] || 'words.js')
    .toString()
    .split(/[^a-z]+/i)
    .sort((lhs, rhs) => rhs.length - lhs.length)
    .slice(0, 20)
    .filter((val, idx, arr) => arr.indexOf(val) === idx)
    .slice(0, 10)
    .forEach(w => console.log('word: %s (%d)', w, w.length))
    ;
